QMouseDriverPlugin(3qt)

NAME
QMouseDriverPlugin - Abstract base for Qt/Embedded mouse driver plugins

SYNOPSIS
#include <qmousedriverplugin_qws.h>

  Public Members
QMouseDriverPlugin ()
~QMouseDriverPlugin ()
virtual QStringList keys () const = 0
virtual QWSMouseHandler * create ( const QString & driver, const QString & device ) = 0

DESCRIPTION
The QMouseDriverPlugin class provides an abstract base for Qt/Embedded mouse driver plugins.

The mouse driver plugin is a simple plugin interface that makes it easy to create custom mouse drivers.

Writing a mouse driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QMouseDriverPlugin::QMouseDriverPlugin ()
Constructs a mouse driver plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QMouseDriverPlugin::~QMouseDriverPlugin ()
Destroys the mouse driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

QWSMouseHandler * QMouseDriverPlugin::create ( const QString & driver, const QString & device ) [pure virtual]
Creates a driver matching the type specified by driver and which uses device device.

See also keys().

QStringList QMouseDriverPlugin::keys () const [pure virtual]
Returns the list of mouse drivers this plugin supports.

See also create().

SEE ALSO
http://doc.trolltech.com/qmousedriverplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qmousedriverplugin.3) and the Qt version (3.3.5).